# Préparation du cours de SRA2 - 2022-23

**Pitch :** Votre équipe est chargée par une structure (entreprise, pouvoir public, association...) de réaliser une vidéo de présentation technique sur une application (imposée). Il s'agit d'expliquer le protocole applicatif réparti sur lequel repose le logiciel à l'étude.

## Applications proposées

### Element 

Tags : instant communication, E2EE, federated, privacy

Site officiel : https://element.io

### Tor Browser

Tags : anonymity, E2EE, proxy, trustless, decentralised, privacy

Site officiel : https://www.torproject.org/

### Jitsi

Tags : streaming, video, VoIP, WebRTC, SIP

Site officiel : https://jitsi.org/

Notes : 

* WebRTC vs. SIP : SIP établit des sessions de communications entre des groupes d'utilisateurs, tandis que WebRTC autorise le transfert de media dans les navigateurs. WebRTC a besoin de SIP, car sa fonction s'arrête à l'établissement de session non comprise. Tandis que SIP se passe de WebRTC, même si son usage rend plus simple le développement d'applications de streaming, puisqu'on peut inclure la communication dans un navigateur via WebRTC.

### Valorant

Tags: video-game, multiplayer, latency, networking

Ressources : 

* https://technology.riotgames.com/news/riot-direct-video
* https://technology.riotgames.com/news/peeking-valorants-netcode


### Counter Strike: Global Offensive

Tags : video-game, multiplayer, latency, networking

Site officiel : https://www.counter-strike.net/

Ressources : 

* https://developer.valvesoftware.com/wiki/Source_Multiplayer_Networking

### BitTorrent

Tags : P2P, decentralised, file sharing

Site officiel : https://bittorrent.com

### Popcorn Time

Tags : P2P, decentralised, video streaming, file sharing

Site officiel : https://github.com/popcorn-official/popcorn-desktop

### TikTok

Tags : social network, instant communication, video streaming, content distribution

### Dem-Attest-ULille

> Ca fait pas rêver face à Popcorn Time, TikTok ou Valorant... Faut trouver mieux.

Tags : blockchain, permissioned

Livre blanc : https://www.univ-lille.fr/fileadmin/user_upload/presse/2022/20220114_Livre_blanc_Dem-Attest-ULille_FR.pdf

### Netflix 

Tags : video streaming, content distribution, microservices

Site officiel : https://www.netflix.com/

### Twitch 

Tags : video streaming, live, content distribution

Site officiel : https://www.twitch.tv/


> Autres : Signal, Telegram, Spotify, OwnCloud Infinite Scale, Federated learning (google...), IoT (?), FileCoin